---

groups:
- name: noaa_gfs_gefs
  rules:
{% if noaa_gfs_alert_age_hours > 0 %}

  - alert: OutdatedNoaaGfs0p25
    expr: (time() - devcoop_noaa_gfs_0p25_latest_timestamp) / 3600 > {{ noaa_gfs_alert_age_hours }}
    labels:
      severity: critical
    annotations:
      summary: Outdated NOAA GFS 0.25 NetCDF file
      description: "Latest NOAA GFS 0.25 NetCDF file is more than {{ noaa_gfs_alert_age_hours }} hours old."

  - alert: OutdatedNoaaGfs0p25Vc
    expr: (time() - devcoop_noaa_gfs_0p25_vc_latest_timestamp) / 3600 > {{ noaa_gfs_alert_age_hours }}
    labels:
      severity: critical
    annotations:
      summary: Outdated NOAA GFS 0.25 vcross NetCDF file
      description: "Latest NOAA GFS 0.25 vcross NetCDF file is more than {{ noaa_gfs_alert_age_hours }} hours old."
{% endif %}
{% if noaa_gefs_alert_age_hours > 0  %}

  - alert: OutdatedNoaaGefs0p5
    expr: (time() - devcoop_noaa_gefs_0p5_latest_timestamp) / 3600 > {{ noaa_gefs_alert_age_hours }}
    labels:
      severity: critical
    annotations:
      summary: Outdated NOAA GEFS 0.5 NetCDF file
      description: "Latest NOAA GEFS 0.5 NetCDF file is more than {{ noaa_gefs_alert_age_hours }} hours old."
{% endif %}
{% if noaa_gefs_0p25_alert_age_hours > 0 %}

  - alert: OutdatedNoaaGefs0p25
    expr: (time() - devcoop_noaa_gefs_0p25_latest_timestamp) / 3600 > {{ noaa_gefs_0p25_alert_age_hours }}
    labels:
      severity: critical
    annotations:
      summary: Outdated NOAA GEFS 0.25 NetCDF file
      description: "Latest NOAA GEFS 0.25 NetCDF file is more than {{ noaa_gefs_0p25_alert_age_hours }} hours old."
{% endif %}
